org.apache.sling.installer.provider.installhook

## Class OsgiInstallerHookEntry

- java.lang.Object
- - org.apache.sling.installer.provider.installhook.OsgiInstallerHookEntry

All Implemented Interfaces:
  org.apache.jackrabbit.vault.packaging.InstallHook

    public class OsgiInstallerHookEntry
    extends Object
    implements org.apache.jackrabbit.vault.packaging.InstallHook

### Field Summary

Fields
`static String` `HOOK_CLASSNAME`
`static String` `OSGI_INSTALLER_CLASSNAME`

### Constructor Summary

Constructors
Constructor and Description
`OsgiInstallerHookEntry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(org.apache.jackrabbit.vault.packaging.InstallContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OSGI_INSTALLER_CLASSNAME

    public static String OSGI_INSTALLER_CLASSNAME

#### HOOK_CLASSNAME

    public static String HOOK_CLASSNAME

### Constructor Detail

#### OsgiInstallerHookEntry

    public OsgiInstallerHookEntry()

### Method Detail

#### execute

    public void execute(org.apache.jackrabbit.vault.packaging.InstallContext context)
                 throws org.apache.jackrabbit.vault.packaging.PackageException

Specified by:
  `execute` in interface `org.apache.jackrabbit.vault.packaging.InstallHook`
Throws:
  `org.apache.jackrabbit.vault.packaging.PackageException`